Nautilus Czech translations need manual import

Bug #668251 reported by Sesivany on 2010-10-29
54
This bug affects 12 people
Affects Status Importance Assigned to Milestone
Launchpad itself
Undecided
Unassigned
Ubuntu Translations
Medium
Ubuntu Czech Translators
language-pack-gnome-cs (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: language-pack-gnome-cs

This bug affects Czech localization of GNOME.
Although translations are complete in the upstream Ubuntu shows original English strings. Most strings of the affected applications are translated, but some of them not. In the GNOME upstream, they are 100 % translated.
It occurs in Ubuntu 10.10, but I have senn this in several last releases. There is obviously some problem on the way from the upstream to users' systems.

Some examples:
http://dl.dropbox.com/u/1309518/nautilus.png
http://dl.dropbox.com/u/1309518/menu.png
http://dl.dropbox.com/u/1309518/hamster.png
http://dl.dropbox.com/u/1309518/replace.png

This completely destroys translators' effort to bring translated environment and Ubuntu gets rating as "half-translated" in many reviews.

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: language-pack-gnome-cs 1:10.10+20100930
ProcVersionSignature: Ubuntu 2.6.35-22.35-generic 2.6.35.4
Uname: Linux 2.6.35-22-generic x86_64
Architecture: amd64
Date: Fri Oct 29 11:53:26 2010
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Beta amd64 (20100901.1)
PackageArchitecture: all
ProcEnviron:
 LANG=cs_CZ.utf8
 SHELL=/bin/bash
SourcePackage: language-pack-gnome-cs

Sesivany (jiri-eischmann) wrote :
Changed in language-pack-gnome-cs (Ubuntu):
status: New → Confirmed
Milhouse (milhouse-mujweb) wrote :

+1 !

Download full text (5.3 KiB)

El dv 12 de 11 de 2010 a les 07:38 +0000, en/na Vojtěch Trefný va
escriure:
> This bug affects Czech localization of GNOME.
> Although translations are complete in the upstream Ubuntu shows
> original English strings. Most strings of the affected applications
> are translated, but some of them not. In the GNOME upstream, they are
> 100 % translated.
> It occurs in Ubuntu 10.10, but I have senn this in several last
> releases. There is obviously some problem on the way from the upstream
> to users' systems.
>
> Some examples:
> http://dl.dropbox.com/u/1309518/nautilus.png
> http://dl.dropbox.com/u/1309518/menu.png
> http://dl.dropbox.com/u/1309518/hamster.png
> http://dl.dropbox.com/u/1309518/replace.png
>
> This completely destroys translators' effort to bring translated
> environment and Ubuntu gets rating as "half-translated" in many
> reviews

Hi Vojtěch,

Thanks for reporting this bug. I can understand the frustration in
getting some non-translated strings. However, this is not due to the
Launchpad Translations infrastructure for translating Ubuntu, but rather
due to the workflow in which translations are imported. Hence, this is
not an Ubuntu-specific issue, but rather one that can affect any
distribution, since it has to do with when translations are packaged
from upstream.

Let me give you some background:

In general, whenever there is a release of a given project upstream,
there is a new Ubuntu package created shortly after, which contains the
upstream translations as well. However, this only applies during the
development cycle of Ubuntu. After an Ubuntu release, only packages with
important security fixes are allowed to be uploaded. We do this to
ensure the stability and quality of the stable release [1]. What this
means is that if an upstream project is released outside the window of
an Ubuntu development cycle period, there will be no package in Ubuntu
for it until the next cycle, which also means translations might well be
out of date. It is a pure matter of release alignment.

Furthermore, even if releases are aligned, it can be that there isn't a
package created for Ubuntu. Remember that many of the packages are
maintained by volunteers, and be it for lack of time or any other
matter, it can be that packages are not updated for a while.

In summary, this means that if a translation hasn't made it to a
package, after an Ubuntu release incomplete translations cannot be
updated. However, the language pack mechanism comes to the rescue here:
it was designed precisely to address this problem.

For any application in the Ubuntu main repository, we periodically
release language packs independently of applications. In practice, this
means that translations can be completed even after release either
translating them in Launchpad or manually uploading the upstream
translations.

Also note that the Launchpad Translations developers are currently
working on providing a better upstream integration for translations that
will directly address this issue. In the future, translations will be
directly imported from the upstream VCS branches instead of having to
wait to import them from packages.

Let me now comment on two of the examples you...

Read more...

David Planella (dpm) on 2010-11-12
Changed in ubuntu-translations:
status: New → Triaged
importance: Undecided → Medium
Changed in rosetta:
status: New → Invalid
summary: - Translations are lost on the way from upstream
+ Nautilus Czech translations need manual import
Sesivany (jiri-eischmann) wrote :

This bug report was filed by me. I get the explanation, but don't understand a few things:
1. Why did Ubuntu take translations from upstream on Sept 28th, a day before the final version of GNOME 2.32 came out? Yes, the translation freeze was on Sept 27th, but it always takes some time to get translations into packages. But it's always there on the release day. It should have waited a day or two.

2. Hamster applet IS translated in GNOME 2.32. I don't understand why you pointed out a po file from the development branch. I thought Ubuntu used the stable version of GNOME. If the po file from the development branch is used, well, then it's obviously a bug.

The other two screenshots are context menus from Nautilus, so probably the same case as the first one.

Download full text (3.4 KiB)

El dv 12 de 11 de 2010 a les 17:31 +0000, en/na Sesivany va escriure:
> This bug report was filed by me. I get the explanation, but don't understand a few things:
> 1. Why did Ubuntu take translations from upstream on Sept 28th, a day
> before the final version of GNOME 2.32 came out? Yes, the translation
> freeze was on Sept 27th, but it always takes some time to get
> translations into packages. But it's always there on the release day.
> It should have waited a day or two.
>

The GNOME schedule is clear on that: the deadline for translations was
on the 27th, which is the date when maintainers have to provide the
tarballs for release.

http://live.gnome.org/TwoPointThirtyone

Anything submitted after that is relying on chance to be included.

The release of the whole GNOME module set happens 2 days after to allow
coordination of all modules, but the fact remains: deadlines should be
considered as such, not as guidelines. If a translation is submitted
after the deadline, there is no guarantee that it will be included.

The nautilus package was released correctly after the deadline, on the
28th. Why it was done before the 29th I don't know, but it does not
change the fact that translations should have been ready by then. If
you'd like to find out more, I'd recommend talking to the last uploader,
Didier Roche (didrocks on the #ubuntu-devel IRC channel on Freenode).

In any case, as pointed out on my last comment, there is an easy
solution by uploading the upstream translation in Launchpad.

> 2. Hamster applet IS translated in GNOME 2.32. I don't understand why
> you pointed out a po file from the development branch. I thought Ubuntu
> used the stable version of GNOME. If the po file from the development
> branch is used, well, then it's obviously a bug.
>

Sorry, that was my mistake, you are absolutely correct. I am not the
translator of hamster-applet in my team, and I thought it was not an
official GNOME module, that's why I pointed to the module's page instead
of to the GNOME 2.32 module set.

Ok, then back to the facts, it seems that the translation was committed
on the 14th of Sept [1], and there was a package containing this
translation released on the 19th of Sept [2]. Notice that hamster-applet
is in the universe repository, which means it does not have as good
support in Ubuntu as an application in main, which explains why there
wasn't an upload for the 2.32.0 release.

In any case, the translation is in the package, and as the package is
from universe, there is no interaction with language packs here:
upstream translations are installed 1:1 with the package. You can check
that the two strings are translated in Czech by running the following
command on the terminal and searching for them:

msgunfmt /usr/share/locale/cs/LC_MESSAGES/hamster-applet.mo | less

This points me to an upstream bug in hamster-applet, as I could
reproduce it in a Catalan locale as well. I've filed bug 674852 for
that, feel free to subscribe and mark the status as Confirmed.

> The other two screenshots are context menus from Nautilus, so probably
> the same case as the first one.
>

Ah, good to know, thanks!

[1]
http://git.gnome.org/browse/hamster-applet/...

Read more...

Andre Klapper (a9016009) wrote :

Re Nautilus:
2.32.0 upstream tarball was created 2010-09-27 15:24:00. Updated Czech translation for Nautilus was committed to upstream git repository 2010-09-29 02:56:39 (too late for 2.32.0 tarball). Hence translations are not in which is not Ubuntu's fault. Of course they are included in the 2.32.1 upstream tarball which was released today.

Sesivany (jiri-eischmann) wrote :

Thank you for clarification.
So Nautilus is upstream's fault in this case. How can we fix this earlier? I work for a company which has Ubuntu-related products and we simply can't afford to have untranslated strings on such exposed places for two months. If this happens again and we take the finished translation from upstream and upload it on Launchpad the updated package will be released earlier? Or how else can we help?

David Planella (dpm) wrote :

El ds 13 de 11 de 2010 a les 15:52 +0000, en/na Sesivany va escriure:
> Thank you for clarification.
> So Nautilus is upstream's fault in this case.

Well, it's no one's "fault", really. GNOME and Ubuntu are translated by
volunteers, so the fact that translations were submitted outside the
deadline most probably simply means that they had other obligations and
couldn't make it for that day.

> How can we fix this earlier? I work for a company which has
> Ubuntu-related products and we simply can't afford to have
> untranslated strings on such exposed places for two months. If this
> happens again and we take the finished translation from upstream and
> upload it on Launchpad the updated package will be released earlier?
> Or how else can we help?
>

There are many ways in which you can help:

      * Translations. Help the Czech team with translations, so that
        they can be finished earlier.
      * Get upstream translations. Upload the upstream translation
        manually as explained in the previous messages, so that they are
        available in the next language pack
      * Testing. Before they are released to the majority of users, help
        testing the Czech language pack [1]. The start of the testing
        period will be announced on the translators mailing list [2].

As mentioned earlier as well, the schedule for language packs is being
redeveloped [3], so I cannot tell you exactly when the next Maverick
language pack will be released, other than "soon". If you'd also like to
contribute on that, please have a look at the specification and get in
touch with me to find out in what you can help.

In summary, if you are willing to contribute, just get in touch in
whichever way you prefer with the translations team [2], or feel free to
contact me directly.

Thanks!

[1]
https://wiki.ubuntu.com/Translations/LanguagePackUpdatesQA
[2] https://wiki.ubuntu.com/Translations/Contact/
[3]
https://blueprints.launchpad.net/ubuntu/+spec/ubuntutheproject-community-n-translations-language-pack-updates-schedule

--
David Planella
Ubuntu Translations Coordinator
www.ubuntu.com / www.davidplanella.wordpress.com
www.identi.ca/dplanella / www.twitter.com/dplanella

Gabor Kelemen (kelemeng) wrote :

I guess this is no longer a problem in newer releases, closing.

Changed in ubuntu-translations:
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers